<?
$mess0 = @mysql_query( @"select  *  from  `forum_message`  where `id`='".$m."';" );
$mess = @mysql_fetch_array($mess0);
if (mysql_affected_rows() == 0){
echo $fs1;
echo '<b>Такого сообщения не существует!</b>';
echo $fs2;
foot();
exit;
}
$id = $mess ['topic'];

$q1 = @mysql_query( @"select  *  from  `forum_topic` where `id`='".$id."' ;" );
$topic = @mysql_fetch_array(@$q1);
if (mysql_affected_rows() == 0){
echo $fs1;
echo '<b>Такой темы не существует!</b>';
echo $fs2;
foot();
exit;
}
$f = $topic ['section'];
$sf = $topic ['subfor'];

$que = @mysql_query( "select * from  `forum_subfor` where id='$sf';" );
$dtm = @mysql_fetch_array( @$que );
$s_name = $dtm['name'];

$que = @mysql_query( "select * from  `forum_sections` where id='$f';" );
$dtm = @mysql_fetch_array( @$que );
$f_name = $dtm['name'];

echo "<dl><dt></dt></dl><a href=\"".F."\">Форумы</a>|<a href=\"".F."subfs/$f\">$f_name</a>";
echo "|<a href=\"".F."temes/$sf\">$s_name</a>|<a href=\"".F."tema/$id/$page\">".$topic ['name']."</a><br /><dl><dt></dt></dl>";

$q2 = @mysql_query( @"SELECT * from `forum_message` WHERE `topic` = '".$id."' and subfor = '".$sf."' and `id` = '".$m."';" );
$mess = @mysql_fetch_array(@$q2);
$user = $mess['login'];
$q3 = @mysql_query( @"select * from  `users` WHERE id = '".$mess['login']."' ;" );
$sect3 = @mysql_fetch_array( @$q3 );
$login = $sect3['user'];
$time = $mess['time'];
$m = $mess['id'];

if (empty($mess['privat'])){  // если написали не в Приват
echo "<br />";
echo $div2;
if($autorize) {
echo "<a href=\"".H2.$sect3['id']."\">".nik($login)."</a> ";
if ($topic['close']!=1){
if ($row['id']!=$mess['login'])
{echo "<a href=\"".F."addpost/$id/$user/$page\" title=\"Ответить\">[Отв]</a>|<a href=\"".F."cit/$id/$m/$page\" title=\"Цитировать\">[Цит]</a>|";}
if($row['level']>3)
{
echo '<a href="'.F.'delpost/'.$m.'/'.$page.'" title="Удалить">[удал]</a>|';}
if(($row['level'] > 3 )&&($sect3['level']<=$row['level'])||($row['id']==$mess['login']))
{
echo '<a href="'.F.'editp/'.$m.'/'.$page.'" title="Изменить">[Изм]</a>';
}
}

}else{
echo "<b>".nik($login)." </b>";
}

echo date("[d.m в H:i", $time)."]";
include'rat.php';
echo $div9;
echo output_text($mess['msg']);

if($autorize){
if ($mess['fale']!=0){
echo "<br/>";
echo "Файл: <a href=\"".F."fail/".$mess['fale']."\" title=\"Скачать файл ".$mess['fname']."\">".$mess['fname']."</a> [".round($mess['size']/1024,1)." кб.]";
}
}

}else if($mess['privat']==$row['id']||$mess['login']==$row['id']||$row['id']==10||$row['id']==11){ // Если приват = челу
echo "<br />";
echo $div2;
if($autorize) {
echo "<a href=\"".H2.$sect3['id']."\">".nik($login)."</a> ";
if ($topic['close']!=1){
if ($row['id']!=$mess['login'])
{echo "<a href=\"".F."addpost/$id/$user/$page\" title=\"Ответить\">[Отв]</a>|<a href=\"".F."cit/$id/$m/$page\" title=\"Цитировать\">[Цит]</a>|";}
if($row['level']>3)
{
echo '<a href="'.F.'delpost/'.$m.'/'.$page.'" title="Удалить">[удал]</a>|';}
if(($row['level'] > 3 )&&($sect3['level']<=$row['level'])||($row['id']==$mess['login']))
{
echo '<a href="'.F.'editp/'.$m.'/'.$page.'" title="Изменить">[Изм]</a>';
}
}

}else{
echo "<b>".nik($login)." </b>";
}

echo date("[d.m в H:i", $time)."]<font color=\"red\">Приватное!</font>";
include'rat.php';
echo $div9;
echo output_text($mess['msg']);

if($autorize){
if ($mess['fale']!=0){
echo "<br/>";
echo "Файл: <a href=\"".F."down/".$mess['id']."\" title=\"Скачать файл ".$mess['fname']."\">".$mess['fname']."</a> [".$mess['sfale']."|".round($mess['size']/1024,1)." кб.]";
}
}
}
echo "<br/><br /><a href=\"".F."tema/$id/$page\">Вернуться в тему</a><br />";



?>